Package org.codehaus.janino

# Interface Java.TypeArgument

All Known Implementing Classes:
  `Java.ArrayType`, `Java.ReferenceType`, `Java.Wildcard`

Enclosing class:
  `Java`

public static interface Java.TypeArgument
Representation of a JLS7 4.5.1 type argument.

## Method Summary

Modifier and Type
Method
Description
`<R, EX extends Throwable>
R`
`accept(Visitor.TypeArgumentVisitor<R,EX> visitor)`
Invokes the "`visit...()`" method of `Visitor.TypeArgumentVisitor` for the concrete `Java.TypeArgument` type.
`void`
`setEnclosingScope(Java.Scope enclosingScope)`
Sets the enclosing scope for this type argument.

## Method Details

### setEnclosingScope

void setEnclosingScope(Java.Scope enclosingScope)
Sets the enclosing scope for this type argument.

### accept

@Nullable <R, EX extends Throwable> R accept(Visitor.TypeArgumentVisitor<R,EX> visitor) throws EX
Invokes the "`visit...()`" method of `Visitor.TypeArgumentVisitor` for the concrete `Java.TypeArgument` type.

Throws:
  `EX`